### Constructor

# Vips Target new_to_file

#### Declaration [src]

    VipsTarget*
    vips_target_new_to_file (
      const char* filename
    )

#### Description [src]

Create a target attached to a file.

#### Parameters

`filename`

  Type: `const char*`

  Write to this file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VipsTarget`

A new target.

The caller of the function takes ownership of the data, and is responsible for freeing it.